#include "Node.h"

Node::Node()
: SharedResource(), _shader(0), _visible(true)
{
}

Node::~Node()
{
}

bool Node::isVisible()
{
    return _visible;
}

void Node::setVisible(bool visible)
{
    _visible = visible;
}

Shader* Node::getShader()
{
    return _shader;
}

void Node::setShader(Shader* shader)
{
    _shader = shader;
}